# Class TCefDownloadItemRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFDownloadItem

## Declaration

`type TCefDownloadItemRef = class(TCefBaseRefCountedRef, ICefDownLoadItem)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefDownloadItemRef

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsInProgress: Boolean;`
| `function IsComplete: Boolean;`
| `function IsCanceled: Boolean;`
| `function IsInterrupted: Boolean;`
| `function GetInterruptReason: TCefDownloadInterruptReason;`
| `function GetCurrentSpeed: Int64;`
| `function GetPercentComplete: Integer;`
| `function GetTotalBytes: Int64;`
| `function GetReceivedBytes: Int64;`
| `function GetStartTime: TDateTime;`
| `function GetEndTime: TDateTime;`
| `function GetFullPath: ustring;`
| `function GetId: Cardinal;`
| `function GetUrl: ustring;`
| `function GetOriginalUrl: ustring;`
| `function GetSuggestedFileName: ustring;`
| `function GetContentDisposition: ustring;`
| `function GetMimeType: ustring;`
| `function IsPaused: boolean;`
| `class function UnWrap(data: Pointer): ICefDownLoadItem;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsValid. Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

| `function IsInProgress: Boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsInProgress. Returns true (1) if the download is in progress.

| `function IsComplete: Boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsComplete. Returns true (1) if the download is complete.

| `function IsCanceled: Boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsCanceled. Returns true (1) if the download has been canceled.

| `function IsInterrupted: Boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsInterrupted. Returns true (1) if the download has been interrupted.

| `function GetInterruptReason: TCefDownloadInterruptReason;`
This item has no description. Showing description inherited from ICefDownloadItem.GetInterruptReason. Returns the most recent interrupt reason.

| `function GetCurrentSpeed: Int64;`
This item has no description. Showing description inherited from ICefDownloadItem.GetCurrentSpeed. Returns a simple speed estimate in bytes/s.

| `function GetPercentComplete: Integer;`
This item has no description. Showing description inherited from ICefDownloadItem.GetPercentComplete. Returns the rough percent complete or -1 if the receive total size is unknown.

| `function GetTotalBytes: Int64;`
This item has no description. Showing description inherited from ICefDownloadItem.GetTotalBytes. Returns the total number of bytes.

| `function GetReceivedBytes: Int64;`
This item has no description. Showing description inherited from ICefDownloadItem.GetReceivedBytes. Returns the number of received bytes.

| `function GetStartTime: TDateTime;`
This item has no description. Showing description inherited from ICefDownloadItem.GetStartTime. Returns the time that the download started.

| `function GetEndTime: TDateTime;`
This item has no description. Showing description inherited from ICefDownloadItem.GetEndTime. Returns the time that the download ended.

| `function GetFullPath: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetFullPath. Returns the full path to the downloaded or downloading file.

| `function GetId: Cardinal;`
This item has no description. Showing description inherited from ICefDownloadItem.GetId. Returns the unique identifier for this download.

| `function GetUrl: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetUrl. Returns the URL.

| `function GetOriginalUrl: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetOriginalUrl. Returns the original URL before any redirections.

| `function GetSuggestedFileName: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetSuggestedFileName. Returns the suggested file name.

| `function GetContentDisposition: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetContentDisposition. Returns the content disposition.

| `function GetMimeType: ustring;`
This item has no description. Showing description inherited from ICefDownloadItem.GetMimeType. Returns the mime type.

| `function IsPaused: boolean;`
This item has no description. Showing description inherited from ICefDownloadItem.IsPaused. Returns true (1) if the download has been paused.

| `class function UnWrap(data: Pointer): ICefDownLoadItem;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.